## org.eclipse.emf.ecore.resource
Class URIConverter.WriteableOutputStream.Buffer

    java.lang.Object
      java.io.InputStream
          java.io.ByteArrayInputStream
              org.eclipse.emf.ecore.resource.URIConverter.WriteableOutputStream.Buffer

All Implemented Interfaces:
  java.io.Closeable

Enclosing class:
  URIConverter.WriteableOutputStream

    protected class URIConverter.WriteableOutputStream.Buffer

extends java.io.ByteArrayInputStream

Field Summary
`protected char[]` `characters`
`protected int` `index`
`protected java.io.InputStreamReader` `reader`

Fields inherited from class java.io.ByteArrayInputStream
`buf, count, mark, pos`

Constructor Summary
`URIConverter.WriteableOutputStream.Buffer(int size)`

Method Summary
`void` `flush()`
`void` `write(int b)`

Methods inherited from class java.io.ByteArrayInputStream
`available, close, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.io.InputStream
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### index

    protected int index

### characters

    protected char[] characters

### reader

    protected java.io.InputStreamReader reader

Constructor Detail

### URIConverter.WriteableOutputStream.Buffer

    public URIConverter.WriteableOutputStream.Buffer(int size)
                                              throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.